Bug 18790 - Add ability to void payments
Summary: Add ability to void payments
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords: Academy
Depends on: 18786
Blocks: 2696 20629
  Show dependency treegraph
 
Reported: 2017-06-12 16:49 UTC by Kyle M Hall
Modified: 2018-08-12 21:57 UTC (History)
15 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18790 - Add ability to void payments (7.39 KB, patch)
2017-06-12 16:54 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 18790 - Add ability to void payments (7.33 KB, patch)
2017-08-03 14:07 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 18790 - Add ability to void payments (7.44 KB, patch)
2017-08-11 22:12 UTC, ByWaterSandboxes
Details | Diff | Splinter Review
Bug 18790 - Add ability to void payments (7.51 KB, patch)
2017-09-29 15:30 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 18790 - Add ability to void payments (7.45 KB, patch)
2017-11-15 14:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 18790 [QA Followup] - Store the new offset for the void (658 bytes, patch)
2017-11-15 14:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 18790 - Add ability to void payments (8.04 KB, patch)
2017-11-15 14:27 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 18790 - Add ability to void payments (8.10 KB, patch)
2018-02-21 11:29 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 18790: Add ability to void payments (8.10 KB, patch)
2018-02-21 12:05 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 18790: Add logging for voided payments (1.48 KB, patch)
2018-02-21 12:05 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 18790: Add new account offsets to atomic update (997 bytes, patch)
2018-02-21 12:05 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 18790: Add new account offsets to atomic update (987 bytes, patch)
2018-02-21 12:07 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 18790: Add ability to void payments (8.15 KB, patch)
2018-02-21 16:48 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18790: Add logging for voided payments (1.53 KB, patch)
2018-02-21 16:48 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18790: Add new account offsets to atomic update (1005 bytes, patch)
2018-02-21 16:48 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18790: Add ability to void payments (8.25 KB, patch)
2018-04-13 11:18 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 18790: Add logging for voided payments (1.54 KB, patch)
2018-04-13 11:18 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 18790: Add new account offsets to atomic update (1.00 KB, patch)
2018-04-13 11:18 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 18790 [QA Followup]: Remove use of Data::Dumper, fix capitalization (1.43 KB, patch)
2018-04-13 11:18 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 18790 [QA Followup]: Fix capitalization (1.06 KB, patch)
2018-04-13 12:26 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 18790 [QA Followup]: Use a transaction for voiding (4.69 KB, patch)
2018-04-13 12:27 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 18790: Prevent the tests to fail if precision changes (1.97 KB, patch)
2018-04-19 15:19 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2017-06-12 16:49:02 UTC
We've had the ability to 'reverse' a payment for a long time, but it would be much better if we had a true void payment function that replaces the paid amounts into the fee so that it appears as if the payment was never made.
Comment 1 Kyle M Hall 2017-06-12 16:54:01 UTC
Created attachment 64210 [details] [review]
Bug 18790 - Add ability to void payments

We've had the ability to 'reverse' a payment for a long time, but it
would be much better if we had a true void payment function that
replaces the paid amounts into the fee so that it appears as if the
payment was never made.

Test Plan:
1) Apply this patch and dependent patches
2) Run updatedatabase.pl
3) Create some fines
4) Pay those fines
5) Use the new 'void' button to void the payments
6) Note the fines were restored to their pre-payment amounts
Comment 2 Shella 2017-06-22 06:42:47 UTC
The sandbox you've requested is not ready.
Some problems occurred applying patches from bug 18790:
Cannot rebuild zebra: 
The command perl /home/koha/src/misc/migration_tools/rebuild_zebra.pl -a -b -r --wait-for-lock fails with the following error: 'perl /home/koha/src/misc/migration_tools/rebuild_zebra.pl -a -b -r --wait-for-lock' exited with value 2
The error message is: 
    Can't locate Koha/Account/Offsets.pm in @INC (you may need to install the Koha::Account::Offsets module) (@INC contains: /home/koha/src /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.22.1 /usr/local/share/perl/5.22.1 /usr/lib/x86_64-linux-gnu/perl5/5.22 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.22 /usr/share/perl/5.22 /usr/local/lib/site_perl /usr/lib/x86_64-linux-gnu/perl-base .) at /home/koha/src/Koha/Account/Line.pm line 23.
BEGIN failed--compilation aborted at /home/koha/src/Koha/Account/Line.pm line 23.
Compilation failed in require at /home/koha/src/Koha/Account.pm line 28.
BEGIN failed--compilation aborted at /home/koha/src/Koha/Account.pm line 28.
Compilation failed in require at /home/koha/src/C4/Accounts.pm line 28.
BEGIN failed--compilation aborted at /home/koha/src/C4/Accounts.pm line 28.
Compilation failed in require at /home/koha/src/C4/Overdues.pm line 33.
BEGIN failed--compilation aborted at /home/koha/src/C4/Overdues.pm line 33.
Compilation failed in require at /home/koha/src/C4/Members.pm line 30.
BEGIN failed--compilation aborted at /home/koha/src/C4/Members.pm line 30.
Compilation failed in require at /home/koha/src/C4/Reserves.pm line 28.
BEGIN failed--compilation aborted at /home/koha/src/C4/Reserves.pm line 28.
Compilation failed in require at /home/koha/src/C4/Circulation.pm line 28.
BEGIN failed--compilation aborted at /home/koha/src/C4/Circulation.pm line 28.
Compilation failed in require at /home/koha/src/C4/XSLT.pm line 30.
BEGIN failed--compilation aborted at /home/koha/src/C4/XSLT.pm line 30.
Compilation failed in require at /home/koha/src/C4/Search.pm line 29.
BEGIN failed--compilation aborted at /home/koha/src/C4/Search.pm line 29.
Compilation failed in require at /home/koha/src/C4/AuthoritiesMarc.pm line 25.
BEGIN failed--compilation aborted at /home/koha/src/C4/AuthoritiesMarc.pm line 25.
Compilation failed in require at /home/koha/src/misc/migration_tools/rebuild_zebra.pl line 26.
BEGIN failed--compilation aborted at /home/koha/src/misc/migration_tools/rebuild_zebra.pl line 26. at /home/koha/lib/contrib/sandbox/cron/../Run.pm line 28.
Comment 3 Shella 2017-06-22 06:45:06 UTC
The sandbox you've requested is not ready.
Some problems occurred applying patches from bug 18790:
Cannot rebuild zebra: 
The command perl /home/koha/src/misc/migration_tools/rebuild_zebra.pl -a -b -r --wait-for-lock fails with the following error: 'perl /home/koha/src/misc/migration_tools/rebuild_zebra.pl -a -b -r --wait-for-lock' exited with value 2
The error message is: 
    Can't locate Koha/Account/Offsets.pm in @INC (you may need to install the Koha::Account::Offsets module) (@INC contains: /home/koha/src /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.22.1 /usr/local/share/perl/5.22.1 /usr/lib/x86_64-linux-gnu/perl5/5.22 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.22 /usr/share/perl/5.22 /usr/local/lib/site_perl /usr/lib/x86_64-linux-gnu/perl-base .) at /home/koha/src/Koha/Account/Line.pm line 23.
BEGIN failed--compilation aborted at /home/koha/src/Koha/Account/Line.pm line 23.
Compilation failed in require at /home/koha/src/Koha/Account.pm line 28.
BEGIN failed--compilation aborted at /home/koha/src/Koha/Account.pm line 28.
Compilation failed in require at /home/koha/src/C4/Accounts.pm line 28.
BEGIN failed--compilation aborted at /home/koha/src/C4/Accounts.pm line 28.
Compilation failed in require at /home/koha/src/C4/Overdues.pm line 33.
BEGIN failed--compilation aborted at /home/koha/src/C4/Overdues.pm line 33.
Compilation failed in require at /home/koha/src/C4/Members.pm line 30.
BEGIN failed--compilation aborted at /home/koha/src/C4/Members.pm line 30.
Compilation failed in require at /home/koha/src/C4/Reserves.pm line 28.
BEGIN failed--compilation aborted at /home/koha/src/C4/Reserves.pm line 28.
Compilation failed in require at /home/koha/src/C4/Circulation.pm line 28.
BEGIN failed--compilation aborted at /home/koha/src/C4/Circulation.pm line 28.
Compilation failed in require at /home/koha/src/C4/XSLT.pm line 30.
BEGIN failed--compilation aborted at /home/koha/src/C4/XSLT.pm line 30.
Compilation failed in require at /home/koha/src/C4/Search.pm line 29.
BEGIN failed--compilation aborted at /home/koha/src/C4/Search.pm line 29.
Compilation failed in require at /home/koha/src/C4/AuthoritiesMarc.pm line 25.
BEGIN failed--compilation aborted at /home/koha/src/C4/AuthoritiesMarc.pm line 25.
Compilation failed in require at /home/koha/src/misc/migration_tools/rebuild_zebra.pl line 26.
BEGIN failed--compilation aborted at /home/koha/src/misc/migration_tools/rebuild_zebra.pl line 26. at /home/koha/lib/contrib/sandbox/cron/../Run.pm line 28.
Comment 4 Kyle M Hall 2017-08-03 14:07:29 UTC
Created attachment 65468 [details] [review]
Bug 18790 - Add ability to void payments

We've had the ability to 'reverse' a payment for a long time, but it
would be much better if we had a true void payment function that
replaces the paid amounts into the fee so that it appears as if the
payment was never made.

Test Plan:
1) Apply this patch and dependent patches
2) Run updatedatabase.pl
3) Create some fines
4) Pay those fines
5) Use the new 'void' button to void the payments
6) Note the fines were restored to their pre-payment amounts
Comment 5 ByWaterSandboxes 2017-08-11 22:12:18 UTC
Patch tested with a sandbox, by Koha-us conference <koha-us@koha-us.net>
Comment 6 ByWaterSandboxes 2017-08-11 22:12:35 UTC
Created attachment 65932 [details] [review]
Bug 18790 - Add ability to void payments

We've had the ability to 'reverse' a payment for a long time, but it
would be much better if we had a true void payment function that
replaces the paid amounts into the fee so that it appears as if the
payment was never made.

Test Plan:
1) Apply this patch and dependent patches
2) Run updatedatabase.pl
3) Create some fines
4) Pay those fines
5) Use the new 'void' button to void the payments
6) Note the fines were restored to their pre-payment amounts

Signed-off-by: Koha-us conference <koha-us@koha-us.net>
Signed-off-by: BWS Sandboxes <ByWaterSandboxes@gmail.com>
Comment 7 Martha Fuerst 2017-08-28 15:11:14 UTC
Everything looks good - void doesn't show up on Account Offsets table, but fines restored successfully.
Comment 8 Kyle M Hall 2017-09-29 15:30:54 UTC
Created attachment 67478 [details] [review]
Bug 18790 - Add ability to void payments

We've had the ability to 'reverse' a payment for a long time, but it
would be much better if we had a true void payment function that
replaces the paid amounts into the fee so that it appears as if the
payment was never made.

Test Plan:
1) Apply this patch and dependent patches
2) Run updatedatabase.pl
3) Create some fines
4) Pay those fines
5) Use the new 'void' button to void the payments
6) Note the fines were restored to their pre-payment amounts

Signed-off-by: Koha-us conference <koha-us@koha-us.net>
Signed-off-by: BWS Sandboxes <ByWaterSandboxes@gmail.com>
Comment 9 Kyle M Hall 2017-11-15 14:16:21 UTC
Created attachment 69158 [details] [review]
Bug 18790 - Add ability to void payments

We've had the ability to 'reverse' a payment for a long time, but it
would be much better if we had a true void payment function that
replaces the paid amounts into the fee so that it appears as if the
payment was never made.

Test Plan:
1) Apply this patch and dependent patches
2) Run updatedatabase.pl
3) Create some fines
4) Pay those fines
5) Use the new 'void' button to void the payments
6) Note the fines were restored to their pre-payment amounts

Signed-off-by: Koha-us conference <koha-us@koha-us.net>
Signed-off-by: BWS Sandboxes <ByWaterSandboxes@gmail.com>
Comment 10 Kyle M Hall 2017-11-15 14:16:30 UTC
Created attachment 69159 [details] [review]
Bug 18790 [QA Followup] - Store the new offset for the void
Comment 11 Kyle M Hall 2017-11-15 14:27:00 UTC
Created attachment 69161 [details] [review]
Bug 18790 - Add ability to void payments

We've had the ability to 'reverse' a payment for a long time, but it
would be much better if we had a true void payment function that
replaces the paid amounts into the fee so that it appears as if the
payment was never made.

Test Plan:
1) Apply this patch and dependent patches
2) Run updatedatabase.pl
3) Create some fines
4) Pay those fines
5) Use the new 'void' button to void the payments
6) Note the fines were restored to their pre-payment amounts

Signed-off-by: Koha-us conference <koha-us@koha-us.net>
Signed-off-by: BWS Sandboxes <ByWaterSandboxes@gmail.com>
Comment 12 Katrin Fischer 2017-11-15 19:52:34 UTC
Should we consider logging reversing or voiding payments somewhere? We have talked to libraries that have to report regularly on money collected and changing payments later on could cause confusing results if not used very carefully.
Comment 13 Josef Moravec 2018-02-06 07:16:49 UTC
Comment on attachment 69161 [details] [review]
Bug 18790 - Add ability to void payments

Review of attachment 69161 [details] [review]:
-----------------------------------------------------------------

::: installer/data/mysql/account_offset_types.sql
@@ +9,5 @@
>  ('Dropbox'),
>  ('Rental Fee'),
>  ('Fine Update'),
> +('Fine'),
> +('Void Payment');

This needs to be added as atomic update too.
Comment 14 Katrin Fischer 2018-02-06 07:18:27 UTC
Also, wrong capitalization?
Comment 15 Josef Moravec 2018-02-06 07:19:41 UTC
(In reply to Katrin Fischer from comment #12)
> Should we consider logging reversing or voiding payments somewhere? We have
> talked to libraries that have to report regularly on money collected and
> changing payments later on could cause confusing results if not used very
> carefully.

I agree, we definitely need this for financial reports.
Comment 16 Josef Moravec 2018-02-06 07:21:18 UTC
(In reply to Katrin Fischer from comment #14)
> Also, wrong capitalization?

Yes, wrong capitalization too - for all the values, but these values are only db keys, they are not showing anywhere (as I know), so no blocker for me.
Comment 17 Kyle M Hall 2018-02-21 11:29:05 UTC
Created attachment 72017 [details] [review]
Bug 18790 - Add ability to void payments

We've had the ability to 'reverse' a payment for a long time, but it
would be much better if we had a true void payment function that
replaces the paid amounts into the fee so that it appears as if the
payment was never made.

Test Plan:
1) Apply this patch and dependent patches
2) Run updatedatabase.pl
3) Create some fines
4) Pay those fines
5) Use the new 'void' button to void the payments
6) Note the fines were restored to their pre-payment amounts

Signed-off-by: Koha-us conference <koha-us@koha-us.net>
Signed-off-by: BWS Sandboxes <ByWaterSandboxes@gmail.com>
Comment 18 Kyle M Hall 2018-02-21 12:05:29 UTC
Created attachment 72018 [details] [review]
Bug 18790: Add ability to void payments

We've had the ability to 'reverse' a payment for a long time, but it
would be much better if we had a true void payment function that
replaces the paid amounts into the fee so that it appears as if the
payment was never made.

Test Plan:
1) Apply this patch and dependent patches
2) Run updatedatabase.pl
3) Create some fines
4) Pay those fines
5) Use the new 'void' button to void the payments
6) Note the fines were restored to their pre-payment amounts

Signed-off-by: Koha-us conference <koha-us@koha-us.net>
Signed-off-by: BWS Sandboxes <ByWaterSandboxes@gmail.com>
Comment 19 Kyle M Hall 2018-02-21 12:05:37 UTC
Created attachment 72019 [details] [review]
Bug 18790: Add logging for voided payments
Comment 20 Kyle M Hall 2018-02-21 12:05:40 UTC
Created attachment 72020 [details] [review]
Bug 18790: Add new account offsets to atomic update
Comment 21 Kyle M Hall 2018-02-21 12:07:03 UTC
Created attachment 72021 [details] [review]
Bug 18790: Add new account offsets to atomic update
Comment 22 Kyle M Hall 2018-02-21 12:09:00 UTC
(In reply to Josef Moravec from comment #15)
> (In reply to Katrin Fischer from comment #12)
> > Should we consider logging reversing or voiding payments somewhere? We have
> > talked to libraries that have to report regularly on money collected and
> > changing payments later on could cause confusing results if not used very
> > carefully.
> 
> I agree, we definitely need this for financial reports.

This patch set already includes account offsets for voided payments. All modifications to accountlines are recorded in the account_offsets table to make it a complete record of changes to a patron's account.

In addition to that, I've just added a followup to add payment voids to the action logs as well!
Comment 23 Josef Moravec 2018-02-21 16:48:17 UTC
Created attachment 72035 [details] [review]
Bug 18790: Add ability to void payments

We've had the ability to 'reverse' a payment for a long time, but it
would be much better if we had a true void payment function that
replaces the paid amounts into the fee so that it appears as if the
payment was never made.

Test Plan:
1) Apply this patch and dependent patches
2) Run updatedatabase.pl
3) Create some fines
4) Pay those fines
5) Use the new 'void' button to void the payments
6) Note the fines were restored to their pre-payment amounts

Signed-off-by: Koha-us conference <koha-us@koha-us.net>
Signed-off-by: BWS Sandboxes <ByWaterSandboxes@gmail.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 24 Josef Moravec 2018-02-21 16:48:22 UTC
Created attachment 72036 [details] [review]
Bug 18790: Add logging for voided payments

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 25 Josef Moravec 2018-02-21 16:48:27 UTC
Created attachment 72037 [details] [review]
Bug 18790: Add new account offsets to atomic update

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 26 Josef Moravec 2018-02-21 16:50:45 UTC
(In reply to Kyle M Hall from comment #22)
> 
> In addition to that, I've just added a followup to add payment voids to the
> action logs as well!

Great!

And I just make the atomic update own file for this bug - in case it is not pushed together with bug 18786
Comment 27 Kyle M Hall 2018-02-21 17:42:10 UTC
(In reply to Josef Moravec from comment #26)
> (In reply to Kyle M Hall from comment #22)
> > 
> > In addition to that, I've just added a followup to add payment voids to the
> > action logs as well!
> 
> Great!
> 
> And I just make the atomic update own file for this bug - in case it is not
> pushed together with bug 18786

Thanks Josef!
Comment 28 Jonathan Druart 2018-02-27 17:07:08 UTC
Please add POD to the new method.
Comment 29 Jonathan Druart 2018-02-27 17:13:55 UTC
*
+use Koha::Patron::Images;

line readded by these patches

* Koha::Account::Line->void must use a transaction to make sure the log will be done only if the offset has been created successfully.
Comment 30 Kyle M Hall 2018-02-27 18:38:19 UTC
(In reply to Jonathan Druart from comment #29)
> *
> +use Koha::Patron::Images;
> 
> line readded by these patches

I'm not seeing this line in any of the patches. Can you point me to it?

> 
> * Koha::Account::Line->void must use a transaction to make sure the log will
> be done only if the offset has been created successfully.

Good idea!
Comment 31 Katrin Fischer 2018-02-27 22:57:04 UTC
Comment on attachment 72036 [details] [review]
Bug 18790: Add logging for voided payments

Review of attachment 72036 [details] [review]:
-----------------------------------------------------------------

::: Koha/Account/Line.pm
@@ +18,4 @@
>  use Modern::Perl;
>  
>  use Carp;
> +use Data::Dumper;

Left over from debugging?
Comment 32 Katrin Fischer 2018-02-27 23:10:35 UTC
Comment on attachment 72035 [details] [review]
Bug 18790: Add ability to void payments

Review of attachment 72035 [details] [review]:
-----------------------------------------------------------------

Was looking for the line - found some other small stuff instead (sorry!)

::: installer/data/mysql/account_offset_types.sql
@@ +9,5 @@
>  ('Dropbox'),
>  ('Rental Fee'),
>  ('Fine Update'),
> +('Fine'),
> +('Void Payment');

Capitalization... but that's already a little late here.

::: koha-tmpl/intranet-tmpl/prog/en/modules/members/boraccount.tt
@@ +60,4 @@
>            [% CASE 'Pay00' %]Payment, thanks (cash via SIP2)
>            [% CASE 'Pay01' %]Payment, thanks (VISA via SIP2)
>            [% CASE 'Pay02' %]Payment, thanks (credit card via SIP2)
> +          [% CASE 'VOID' %]Payment, Voided

Capitalization - not too late here :)
Comment 33 Kyle M Hall 2018-04-13 11:18:03 UTC
Created attachment 74157 [details] [review]
Bug 18790: Add ability to void payments

We've had the ability to 'reverse' a payment for a long time, but it
would be much better if we had a true void payment function that
replaces the paid amounts into the fee so that it appears as if the
payment was never made.

Test Plan:
1) Apply this patch and dependent patches
2) Run updatedatabase.pl
3) Create some fines
4) Pay those fines
5) Use the new 'void' button to void the payments
6) Note the fines were restored to their pre-payment amounts

Signed-off-by: Koha-us conference <koha-us@koha-us.net>
Signed-off-by: BWS Sandboxes <ByWaterSandboxes@gmail.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 34 Kyle M Hall 2018-04-13 11:18:11 UTC
Created attachment 74158 [details] [review]
Bug 18790: Add logging for voided payments

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 35 Kyle M Hall 2018-04-13 11:18:15 UTC
Created attachment 74159 [details] [review]
Bug 18790: Add new account offsets to atomic update

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 36 Kyle M Hall 2018-04-13 11:18:18 UTC
Created attachment 74160 [details] [review]
Bug 18790 [QA Followup]: Remove use of Data::Dumper, fix capitalization
Comment 37 Kyle M Hall 2018-04-13 12:24:05 UTC
(In reply to Katrin Fischer from comment #31)
> Comment on attachment 72036 [details] [review] [review]
> Bug 18790: Add logging for voided payments
> 
> Review of attachment 72036 [details] [review] [review]:
> -----------------------------------------------------------------
> 
> ::: Koha/Account/Line.pm
> @@ +18,4 @@
> >  use Modern::Perl;
> >  
> >  use Carp;
> > +use Data::Dumper;
> 
> Left over from debugging?

Just realized Dumper is used for action logs here. I'll restore that.
Comment 38 Kyle M Hall 2018-04-13 12:26:55 UTC
Created attachment 74161 [details] [review]
Bug 18790 [QA Followup]: Fix capitalization
Comment 39 Kyle M Hall 2018-04-13 12:27:03 UTC
Created attachment 74162 [details] [review]
Bug 18790 [QA Followup]: Use a transaction for voiding
Comment 40 Jonathan Druart 2018-04-19 15:19:54 UTC
Created attachment 74576 [details] [review]
Bug 18790: Prevent the tests to fail if precision changes
Comment 41 Jonathan Druart 2018-04-19 15:42:33 UTC
Pushed to master for 18.05, thanks to everybody involved!